@import url('https://fonts.googleapis.com/css2?family=Blinker&display=swap');

:root {
    --main-bg-color: #F44336;
    --main-bg-color-light: #E57373;
    --main-bg-color-dark: #D32F2F;
    --body-color: #F5F5F5;
    --navbar-height: 95px;
    --navbar-color: #FFF;
  }
  

  * {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: none;
    font-family: 'Blinker', sans-serif;
    -webkit-box-sizing:border-box;
    -moz-box-sizing:border-box;
    -webkit-font-smoothing:antialiased;
    -moz-font-smoothing:antialiased;
    -o-font-smoothing:antialiased;
    font-smoothing:antialiased;
    text-rendering:optimizeLegibility;
}


body{
    width: 100%;
    min-height: 100vh;
    background: url('/img/bg.png');
    font-weight:300;
    font-size: 15px;
    color:#777;
}

.sider{
  top:80%;
  position: fixed;
  background:var(--main-bg-color);;
  z-index:501;
  right: -105px;
  cursor: pointer;
  width: 155px;
  height:50px;
  color: white;
  border-radius: 5px 0px 0px 5px;
  font-size: 25px;
  transition: all 0.3s ease;
  align-items: center;
  justify-content: center;
  text-align:center;
  vertical-align: top;
}

.sider a{
  text-decoration: none;
  color: white;
  vertical-align: top;
}

.sider a p{
  float: right;
  font-size: 20px;
  margin-top: 10px;
  margin-right: 12px;
}


.sider:hover{
  right: -10px;
}


.navbar {
    position: fixed;
    width: 100%;
    height: var(--navbar-height);
    top: 0;
    background: var(--navbar-color);
    opacity: 1;
    padding: 0 30px;
    box-shadow: 0 2px 0 rgba(0, 0, 0, 0.1);
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
    transition: height 0.3s ease;
}

.navbar.shrink{
  height:  calc(var(--navbar-height) - 25px);
}

.logo{
    height: var(--navbar-height);
    display: flex;
    transition: height 0.3s ease;
    cursor: pointer;
    text-decoration: none;
    z-index: 1022;
}

.logo.shrink{
  height: calc(var(--navbar-height) - 25px);
}

.logo img{
    height: 100%;
    padding: 1px;
    filter: hue-rotate(355deg);
}

.logo p{
    padding: 10px;
    font-size: 25px;
    font-weight: bold;
    margin-left: -28px;
    display: flex;
    color: #222;
    flex-direction: column;
    justify-content: center;
    z-index: 1055;
}

.navbar ul{
    list-style-type: none;
    padding: 0;
    margin: 0;
    display: flex;
    margin-right: 100px;
}

.navbar .icon{
  display: none;
}

.navbar ul li {
    margin-left: 50px;
  }

  .navbar ul li {
    cursor: pointer;
    color: #444;
    text-decoration: none;
    font-size: 15px;
    text-transform: uppercase;
    font-weight: 500;
    position:relative;
    display:inline-block;
    transition: all 0.3s ease-out;
  }

.slider {
    position: absolute;
    display:block;
    left: 0;
    top: 125%;
    margin:0 auto;
    height: 1.5px;
    background-color: var(--main-bg-color);
    width: 0%;
    transition: width 0.3s ease;
}



.navbar ul li:hover .slider {
    width: 105%;
}


.navbar ul li.selected{
  color: var(--main-bg-color);
}

.navbar ul li.selected .slider{
  width: 95%;
}

.container{
  width: 100%;
  height: 100%;
}

.sectionsHolder{
  width: 100%;
  margin-top: 80px;
}

.section {
  width: 100%;
  text-align: center;
  color: #000;
  padding: 10px;
  background: url("/img/bg_hose2.jpg") rgba(0, 0, 0, 0.8);
  background-blend-mode: multiply;
  background-size:     cover;
  background-repeat:   no-repeat;
  background-position: center; 
  justify-content: center;
}

.section i{
  background-color: var(--main-bg-color);
  color: #FFF;
  padding: 12px;
  border-radius: 5px;
  box-shadow: 0 3px 5px rgb(0 0 0 / 0.2);
}

.heading{
    background-color: white;
    opacity: 0.95;
    width: 80%;
    margin: auto;
    padding: 20px;
    margin-top: 50px;
    margin-bottom: 50px;
    border-radius: 5px;
    text-align: left;
}

.heading.right{
  margin-left: 30%;
  right: 0;
}

.heading p{
  font-size: 18px;
  color: #666;
}

.heading h1{
  color: #444;
}

.end a{
  background-color: var(--main-bg-color);
  text-decoration: none;
  color: #FFF;
  padding: 15px;
}

.heading .end{
  width: calc(100%-20px);
  text-align: end;
  right: 50px;
  margin-top: 20px;
  margin-bottom: 10px;
}


.heading .logo{
  width: 50px;
  height: 40px;
  border: none;
  margin-right: 5px;
  position: absolute;
}


.heading img{
  width: 200px;
  height: 200px;
  border: 2px solid #DDD;
  border-radius: 10px;
  margin-right: 5px;
}

table{
  width: 100%;
  text-align: center;
  border-collapse: collapse;
}

td{
  border: 1px solid #EEE;
  height: 70px;
  color: #888;
}

td span{
  font-size: 75px;
  color: #222;
}


.cen-loader{
  z-index: 1000;
  text-align: center;
  vertical-align: middle;
  position: fixed;
  left: 50%;
  top: 50%;
  margin-top: -50px;
}


.loader {
  width: 48px;
  height: 48px;
  border: 5px solid;
  border-color: var(--main-bg-color) transparent;
  border-radius: 50%;
  display: inline-block;
  box-sizing: border-box;
  animation: rotation 0.9s linear infinite;
}

@keyframes rotation {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}


.extra{
  width: 100%;
  font-size: 120px;
  color: var(--body-color);
}


.contact{
  max-width: 1000px;
	width:90%;
	margin:0 auto;
	position:relative;
  background:#F9F9F9;
  box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.2), 0 5px 5px 0 rgba(0, 0, 0, 0.24);
  top: 115px;
  overflow: hidden;
  display: flex;
  flex-wrap: wrap;
  align-items: stretch;
  flex-direction: row-reverse;
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
}

.contact-form{
  width:50%;
  padding: 25px;
}

.contact-form h1{
  font-size: 30px;
  color: #333333;
  line-height: 1.2;
  text-align: center;
  padding-bottom: 23px;
  font-weight: 100;
  width: 100%;
}

.contact-form label{
   font-size: 12px;
    color: #555555;
    text-transform: uppercase;
    line-height: 30px;
    letter-spacing: 1px;
    align-items: center;
    width: 100%;
    padding: 10px 5px;
    margin-top: 15px;
    margin-bottom: 0px;
}

.contact-form input, textarea{
    height: 50px;
    display: block;
    width: 100%;
    background: transparent;
    font-size: 18px;
    color: #666666;
    line-height: 1.2;
    padding: 0 25px;
    outline: none;
    border: 2px solid #e6e6e6;
    transition: 0.25s;
    margin-bottom: 20px;
}

.contact-form .valid{
  border-color: #4CAF50;
}

.contact-form .valid:focus{
  border-color: #4CAF50;
}

.contact-form .invalid{
  border-color: #F44336;
}

.contact-form .invalid:focus{
  border-color: #F44336;
}

.contact-form textarea{
  min-height: 139px;
    padding-top: 19px;
    padding-bottom: 15px;
    resize: vertical;
}

.contact-form input:focus, textarea:focus{
  transform: scale(1.02);
  border-color: #666666;
}

.contact-form button{
  justify-content: center;
  align-items: center;
  padding: 0 20px;
  min-width: 200px;
  height: 50px;
  border-radius: 2px;
  background: var(--main-bg-color);
  outline: none !important;
    border: none;
  font-size: 12px;
  color: #fff;
  line-height: 1.2;
  text-transform: uppercase;
  letter-spacing: 1px;
  -webkit-transition: all 0.25s;
  -o-transition: all 0.25s;
  -moz-transition: all 0.25s;
  transition: all 0.25s;
  cursor: pointer;
}

.contact-form button:hover{
  background: var(--main-bg-color-dark);
}

.btn-wrap{
  width: 100%;
  text-align: center;
  display: block;
}

::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
  opacity: 0.5; /* Firefox */
}

:-ms-input-placeholder { /* Internet Explorer 10-11 */
  opacity: 0.5;
}

::-ms-input-placeholder { /* Microsoft Edge */
  opacity: 0.5;
}


.contact-details{
  width: 50%;
  position: relative;
  z-index: 1;
  padding: 30px 15px 0px 15px;
  background: url('/img/bg_hose.jpg') rgba(0,0,0,0.8);
  background-size:cover;
  background-blend-mode: multiply;
  background-repeat: no-repeat;
    background-position: center;
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-direction: column;
    -moz-flex-direction: column;
    -ms-flex-direction: column;
    -o-flex-direction: column;
    flex-direction: column;
    -ms-align-items: center;
    align-items: center;
    justify-content: center;
}

.contact-details-content{
    width: 355px;
    max-width: 100%;
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-wrap: wrap;
    -moz-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    -o-flex-wrap: wrap;
    flex-wrap: wrap;
    padding-bottom: 47px;
}

.contact-details .icon{
  color: white;
  font-size: 18px;
    line-height: 1.2;
    padding-right: 25px;
    display: block;
}

.contact-details .details{
  width: calc(100% - 43px);
  display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-direction: column;
    -moz-flex-direction: column;
    -ms-flex-direction: column;
    -o-flex-direction: column;
    flex-direction: column;
}

.contact-details .details .title{
  font-size: 18px;
  line-height: 1.2;
  color: #fff;
  padding-bottom: 20px
}

.contact-details .details .value{
  font-size: 15px;
    line-height: 1.6;
    text-decoration: none;
    color:var(--main-bg-color-light);
}

.contact-details .details .value a{
    text-decoration: none;
    color:var(--main-bg-color-light);
}

.contact-details .details .value.address{
  color: #999999;
}


.gallery-content h1{
  color: #444;
  margin-top: 110px;
  font-size: 36px;
  line-height: 1.2;
  width: 100%;
  text-align: center;
  padding: 25px;
}

.gallery{
  width: 100%;
  padding: 1px;
  position: relative;
  text-align: center;
}

.gallery-content i{
  background-color: var(--main-bg-color);
  color: #FFF;
  padding: 8px;
  border-radius: 5px;
  box-shadow: 0 3px 5px rgb(0 0 0 / 0.2);
}

.gallery-end{
  width: 100%;
  padding: 25px;
  background-color: #FFFFFF;
}

.gallery img{
  width: 20%;
  height: 250px;
  cursor: pointer;
  margin: 10px;
  object-fit:cover;
  border: 2px solid #FFF;
  box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px, rgba(60, 64, 67, 0.15) 0px 1px 3px 1px;
  transition: all 0.25s;
  border-radius: 5px;
  background: #FFF;
}

.gallery p{
  color: #444;
  font-weight: bold;
  font-size: 25px;
  line-height: 1;
  width: 100%;
  text-align: center;
  padding: 25px;
  background-color: white;
  margin-top: 10px;
  margin-bottom: 10px;
}


.gallery img:hover{
  transform: scale(1.1);
}

.about{
	width:100%;
  margin-top: 90px;
  overflow: hidden;
  align-items: center;
  justify-content: center;
  color: #444;
}

.intro{
  width: 80%;
  background-color: #FFF;
  padding: 50px;
  margin: auto;
  box-shadow: 0 3px 5px rgb(0 0 0 / 0.2);
  font-size: 16px;
  border-radius: 5px;
}

.intro.top{
  width: 100%;
  color: #FFF;
  background: url('/img/bg_hose.jpg') rgba(0, 0, 51, 0.5);
  background-size:cover;
  background-blend-mode: multiply;
  background-repeat: no-repeat;
  background-position: center;
  border-radius: 0px;
}

.intro i{
  background-color: var(--main-bg-color);
  color: #FFF;
  padding: 12px;
  border-radius: 5px;
  box-shadow: 0 3px 5px rgb(0 0 0 / 0.2);
}

.clients{
  width: 100%;
  margin-top: 50px;
}

.clients img{
  height: 100px;
  width: 200px;
  margin: 10px 50px;
  padding: 10px;
  background-color: #FFF;
}

.clients h1{
  width: 100%;
  text-align: center;
  color: #222;
  margin-bottom: 30px;
}

.clients i{
  background-color: var(--main-bg-color);
  color: #FFF;
  padding: 12px;
  border-radius: 5px;
  box-shadow: 0 3px 5px rgb(0 0 0 / 0.2);
}

.clients div{
  display: flex;
  flex-wrap: wrap;
  align-items: stretch;
  flex-direction: row;
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  align-content: center;
  text-align: center;
  justify-content: center;

}

.vmv{
  display: flex;
  flex-wrap: wrap;
  align-items: stretch;
  flex-direction: row;
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  align-content: center;
  text-align: center;
  justify-content: center;
}

.vmv div{
  background-color: #FFF;
  margin: 25px;
  padding: 25px;
  width: 320px;
  border-radius: 5px;
  box-shadow: 0 3px 5px rgb(0 0 0 / 0.2);
}

.vmv div i{
  background-color: var(--main-bg-color);
  color: #FFF;
  padding: 12px;
  border-radius: 5px;
  box-shadow: 0 3px 5px rgb(0 0 0 / 0.2);
}

.vmv p{
  width: 100%;
  height: 100%;
  text-align: center;
  justify-content: center;
  font-size: 16px;
}


.error .button {
  font-weight: 300;
  font-size: 1.2em;
  text-decoration: none;
  padding: 15px;
  transition: all .2s linear;
  border: 1px solid #444;
  color: #444;
}

.error .button:hover {
  color: var(--main-bg-color-light);
  border-color: var(--main-bg-color-light);
}

.error{
  margin-top: 150px;
  color: #444;
}


.error p {
  font-size: 2em;
  text-align: center;
  font-weight: 100;
  margin-bottom: 50px;
}

.error h1 {
  text-align: center;
  font-size: 15em;
  font-weight: 100;
}


.footer{
  width: 100%;
  height: 100%;
  min-height: 250px;
  color: white;
  background-color: #000;
  padding: 25px;
  opacity: 0.75;
  bottom: 0;
}

.footer .box{
  width: 100%;
  height: 100%;
  
  position: relative;
  display: flex;
  text-align: center;
  flex-wrap: wrap;
  flex-direction: row;
  align-items: stretch;

    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;

}

.footer .box div{
  width: 20%;
}

.footer .box a{
  text-decoration: none;
  line-height: 25px;
  color: #AAA;
}
.footer .box p{
  color: #AAA;
  line-height: 20px;
  text-align: center;
  justify-content: center;
  align-items: center;
}

.footer .divider{
  width: 100%;
  height: 1px;
}

.footer .box i{
  font-size: 20px; 
  height: 75px;
  margin-left: 15px;
}

.footer .box span{
  margin-right: 15px;
}

.footer .divider{
  background-color: #999;
  margin-top: 25px; 
  color: #AAA;
}

.footer .divider p{
  padding-top: 5px;;
  font-size: 12px;
  margin-top: 10px;
  margin-left: 2%;
}

.hamb{
  cursor: pointer;
  float: right;
  padding: 50px 20px;
  display: none;
  justify-content: end;
  text-align: end;
}

.hamb-line {
  background: #999;
  display: block;
  position: relative;
  width: 40px;
  height: 4px;
  border-radius: 3px;
}

.hamb-line::before,
.hamb-line::after{
  background: #999;
  content: '';
  display: block;
  height: 100%;
  position: absolute;
  transition: all .2s ease-out;
  width: 100%;
}

.hamb-line::before{
  top: 12px;
   border-radius: 3px;
}
.hamb-line::after{
  top: -12px;
  border-radius: 3px;
}


.mobile-menu{
  position: fixed !important;
  width: 100%;
  height: 105%;
  z-index: 100;
  background: #FFF;
  margin-top: -25px;
  text-align: center;
  padding-top: 25px;
  justify-content: center;
  left: 100%;
  transition: all 0.25s ease;
  box-shadow: 0 2px 0 rgba(0, 0, 0, 0.1);
}

.mobile-menu.show{
  left: 0;
  top: 0;
}

.mobile-menu ul{
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  margin-top: 110px;
}

.mobile-menu li{
  height: 80px;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-evenly;
  font-size: 40px;
}

.mobile-menu ul li.selected{
  color: var(--main-bg-color);
}

.mobile-menu ul li.selected .slider{
  width: 95%;
}


.products{
	width:100%;
  margin-top: 50px;
  align-items: center;
  justify-content: center;
}

.products ul{
  width: 100%;
  list-style: none;

  align-content: space-between;
  text-align: center;
    display: -webkit-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: baseline;
    position: relative;
}

.products ul li{
  position: relative;
  margin: 50px 25px;
  cursor: pointer;
  text-align: center;
  width: 200px;
  font-size: larger;
  font-weight: bold;
  color: #444;
}

.products li img{
  width: 200px; 
  height: 200px;
  background-color: #FFF;
  border-radius: 50%;
  object-fit:cover;
  border: 4px solid var(--main-bg-color);
  box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px, rgba(60, 64, 67, 0.15) 0px 1px 3px 1px;
}

.sidebar{
  margin: 50px; 
  background-color: #FFF;
  padding: 20px;
  box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
  border-radius: 15px;
  transition: all 0.4s ease;
}

.products i{
  background-color: var(--main-bg-color);
  color: #FFF;
  padding: 12px;
  border-radius: 5px;
}

.products h1{
  color: #444;
}

.active{
  width: 100px;
  overflow: hidden;
  overflow-y: scroll;
  height: 500px;
  padding: 0;
  margin: 45px 0;
  z-index: 101;
}

.active h1{
  display: none;
}

.active li img{
  width: 50px;
  height: 50px;
  border: 2px solid var(--main-bg-color);
}

.active ul li{
  margin: 5px 5px;
  font-size: small;
  font-weight: 100;
}

td{
  padding: 10px;
}

.p-details{
  margin-top: -560px;
  width: calc(100% - 115px);
  margin-left: 110px;
  min-height: 500px;
  background-color: #FFF;
  box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
  border-radius: 10px;
  overflow: hidden;
  padding: 25px;

  position:relative;
  display: flex;
  flex-wrap: wrap;
  align-items: stretch;
  flex-direction: row;
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;

  display: none;
}

.p-details img{
  width: 50px;
  height: 50px;
  object-fit:cover;
  border-radius: 10px;
  margin: 5px;
  box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px, rgba(60, 64, 67, 0.15) 0px 1px 3px 1px;
}

.p-img{
  width: 30%;
  height: 100%;
  text-align: center;
  margin: auto;
}


.p-details .main-img{
  width: 200px;
  height: 200px;
  margin-bottom: 20px;
}

.p-detail{
  width: 70%;
}

.p-detail a{
  background-color: var(--main-bg-color);
  text-decoration: none;
  color: #FFF;
  padding: 5px;
}


@media (max-width: 800px) {

  .navbar{
    padding: 0;
  }

  .navbar .navlink{
    margin-right: 30px;
    font-size: 8px;
  }

  .navbar ul li{
    font-size: 12px;
  }
  
  .navbar li.icon {
    float: right;
    display: block;
    font-size: 40px; 
  }

  .footer .box div{
    width: 100%;
    margin-bottom: 50px;
  }
  
  .contact-form {
    width: 100%;
  }

  .contact-details {
    width: 100%;
  }

  .p-img{
    width: 100%;
  }
  
  .p-detail{
    width: 100%;
  }

  
}


@media (max-width: 576px) {

  .navbar{
    padding: 0;
  }

  .navbar .navlink{
    margin-right: 30px;
    display:none;
  }
  
  .navbar li.icon {
    float: right;
    display: block;
    font-size: 40px; 
  }

  .hamb{
    display: inline;
  }

  .clients img{
    height: 50px;
    width: 100px;
    margin: 5px 25px;
    padding: 5px;
    background-color: #FFF;
  }
  
  .heading{
    width: 90%;
  }

.heading.right{
  margin-left: 10%;
  right: 0;
}

.heading img{
  width: 50px;
  height: 50px;
  border: 2px solid #DDD;
  border-radius: 10px;
  margin-right: 5px;
}
 
  .footer .box div{
    width: 100%;
    margin-bottom: 50px;
  }
  
  .contact-form {
    width: 100%;
  }

  .contact-details {
    width: 100%;
  }

  .gallery{
    padding: 0;
  }

  .gallery img{
    height: 100px;
    border: none;
    margin: 2px;
  }

  .error p {
    font-size: 1em;
    text-align: center;
    font-weight: 100;
    margin-bottom: 50px;
  }
  
  .error h1 {
    text-align: center;
    font-size: 8em;
    font-weight: 100;
  }

  .p-img{
    width: 100%;
  }
  
  .p-detail{
    width: 100%;
  }
}
